/*----------------------------------
 * iservlog.h
 *----------------------------------
 */
/*
 * $RCSfile: iservlog.h,v $
 * $Revision: 1.1 $
 * $Date: 1998/07/31 21:11:38 $
 *
 * $Header: //Iservd/iservlog.h#1 $
 * 
 * $Log: iservlog.h,v $
 * Revision 1.1  1998/07/31 21:11:38  chuckh
 * Initial revision
 *
 */


extern int init_log ARGS((servopts_t *));
				/*
				 * Initialize logging according to
				 * selected options.
				 */

extern void do_log ();	
				/*
				 * Output ALL log messages, the
			 	 * type of message is determined
			 	 * by the first argument: IL_NOTICE...
				 * UNCONDITIONALLY prototyped old-style.
				 */

extern void traceData ARGS((char *, unsigned char *, int));
				/*
				 * Output data trace
				 */

extern void markChild ARGS(());
				/*
				 * Future notices marked as coming from
				 * the child process. 
				 */

#define IL_NOTICE	1	/* Ordinary notification */
#define IL_ERROR	2	/* Error report */
#define IL_DEBUG	4	/* Debugging output */
#define IL_VIEW		8	/* View all output option */


