/*--------------------------------
 * iservtel.h
 *
 * Declarations for functions in
 * iservtel.c
 *---------------------------------
 */
/*
 * $RCSfile: iservtel.h,v $
 * $Revision: 1.1 $
 * $Date: 1998/07/31 21:13:52 $
 *
 * $Header: //Iservd/iservtel.h#1 $
 * 
 * $Log: iservtel.h,v $
 * Revision 1.1  1998/07/31 21:13:52  chuckh
 * Initial revision
 *
 */

/*
 * Buffer to pass to telnetEncode routine
 */
typedef struct telbuf_s {
	char	*tb_buf;	/* Buffer to hold the data */
	char	tb_state;	/* fsm state on the send side */
} telbuf_t;

/* State definitions on the send side */
#define		TS_DATA		0
#define		TS_IAC		1

/*
 * Telnet command passed to raise and lower RTS 
 */
#define	RTSUP		201
#define RTSDN		202

/*
 * Telnet command passed to get/receive the MSR value
 */
#define	MSR		203

/* 
 * Flag feild used by the intelliserver to inidicate DCD status
 */
#define MSR_DCD		0x10	


extern int setBinary ARGS((int));
extern void wakeTelnet ARGS(());
extern int waitTelnet ARGS((int));
extern int telnetEncode ARGS((unsigned char *, unsigned char *, int, int));
extern int telnetDecode ARGS((unsigned char *, unsigned char *, int, int, int));


